%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major		0
%define api		2
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d

Summary:	An extension library for Xfce desktop environment
Name:		exo
Version:	4.16.0
%define subrel	1
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
URL:		https://www.xfce.org
Source:		https://archive.xfce.org/src/xfce/exo/%{url_ver}/%{name}-%{version}.tar.bz2
# Upstream patches
#
Patch1:		0001-exo-open-Only-execute-local-.desktop-files.patch
# Mageia patches:
#
BuildRequires:	xfce4-dev-tools
BuildRequires:	intltool
BuildRequires:	git-core
BuildRequires:	perl(URI)
BuildRequires:  pkgconfig(libxfce4util-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4ui-2)

%description
This is libexo, an extension library to Xfce, developed by os-cillation.
While Xfce comes with quite a few libraries that are targeted at
desktop development, libexo is targeted at application development.

%package -n %{libname}
Summary:	An extension library for Xfce
Group:		System/Libraries
License:	LGPLv2+
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
Exo is an Xfce library targeted at application development. It contains
various custom widgets and APIs extending the functionality of GLib and
GTK+. It also ships utilities for defining preferred applications,
mounting storage devices and more.

%package -n %{develname}
Summary:	Development files, headers and documentation for libexo
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files, headers and documentation for libexo.

%prep
%autosetup -p1 -Sgit_am

%build
%xdt_autogen
%configure \
	--disable-static
%make_build

%install
%make_install

# (tpg) already in %{_real_vendor}-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/helpers.rc

# don't ship .la
find %{buildroot} -name "*.la" -delete

%find_lang %{name}-%{api}

%files -f %{name}-%{api}.lang
%license COPYING
%doc AUTHORS README* ChangeLog NEWS
%{_bindir}/exo*
%{_iconsdir}/hicolor/*/*/*.png
%{_mandir}/man1/exo*
%dir %{_datadir}/pixmaps/exo/
%{_datadir}/pixmaps/exo/exo-thumbnail-frame.png

%files -n %{libname}
%license COPYING.LIB
%{_libdir}/libexo-%{api}.so.%{major}{,.*}

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/exo-%{api}/
%{_libdir}/libexo-%{api}.so
%{_libdir}/pkgconfig/exo-%{api}.pc
%{_includedir}/exo-%{api}/


%changelog
* Sat Jun 18 2022 wally <wally> 4.16.0-1.1.mga8
+ Revision: 1864783
- add upstream patch to fix CVE-2022-32278 (mga#30540)

* Wed Dec 23 2020 wally <wally> 4.16.0-1.mga8
+ Revision: 1663195
- new version 4.16.0

* Wed Nov 04 2020 wally <wally> 4.15.3-2.mga8
+ Revision: 1642701
- fix AC_INIT overquoting issues with autoconf 2.69d (aka fix version in pkg-conf .pc files)

* Wed Nov 04 2020 wally <wally> 4.15.3-1.mga8
+ Revision: 1642611
- new version 4.15.3

* Fri Aug 21 2020 wally <wally> 4.15.2-1.mga8
+ Revision: 1617664
- new version 4.15.2

* Fri Jun 19 2020 wally <wally> 4.15.1-1.mga8
+ Revision: 1597372
- new version 4.15.1

* Tue Feb 18 2020 umeabot <umeabot> 0.12.11-2.mga8
+ Revision: 1541103
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Dec 19 2019 wally <wally> 0.12.11-1.mga8
+ Revision: 1468970
- new version 0.12.11

* Thu Nov 28 2019 wally <wally> 0.12.10-1.mga8
+ Revision: 1463332
- new version 0.12.10

* Fri Nov 15 2019 wally <wally> 0.12.9-1.mga8
+ Revision: 1460895
- new version 0.12.9

* Mon Aug 12 2019 wally <wally> 0.12.8-1.mga8
+ Revision: 1428929
- new version 0.12.8

* Sat Jul 27 2019 wally <wally> 0.12.7-1.mga8
+ Revision: 1424636
- new version 0.12.7

* Sat Jun 29 2019 wally <wally> 0.12.6-1.mga8
+ Revision: 1416092
- new version 0.12.6

* Wed May 01 2019 wally <wally> 0.12.5-1.mga7
+ Revision: 1396049
- new version 0.12.5
- drop old conflicts/obsoletes

* Thu Feb 07 2019 wally <wally> 0.12.4-2.mga7
+ Revision: 1364049
- add MATE terminal helper for default apps

* Sun Jan 20 2019 wally <wally> 0.12.4-1.mga7
+ Revision: 1358195
- new version 0.12.4

* Tue Oct 16 2018 wally <wally> 0.12.3-1.mga7
+ Revision: 1320961
- new version 0.12.3

* Sun Sep 23 2018 umeabot <umeabot> 0.12.2-2.mga7
+ Revision: 1297643
- Mageia 7 Mass Rebuild

* Thu Jun 21 2018 wally <wally> 0.12.2-1.mga7
+ Revision: 1238492
- new version 0.12.2

* Sun Jun 17 2018 wally <wally> 0.12.1-1.mga7
+ Revision: 1237427
- new version 0.12.1

* Fri Feb 16 2018 wally <wally> 0.12.0-1.mga7
+ Revision: 1201728
- new version 0.12.0

* Thu Sep 28 2017 wally <wally> 0.11.5-1.mga7
+ Revision: 1161130
- new version 0.11.5
- enable gtk3 support
- redo helper patches

* Fri Feb 12 2016 wally <wally> 0.10.7-3.mga6
+ Revision: 958502
- fix missing mail reader icon in menus when Adwaita icon theme is used (mga#17733)

* Sun Sep 27 2015 wally <wally> 0.10.7-2.mga6
+ Revision: 884246
- add exo-helper for Google Chrome

* Mon Sep 14 2015 wally <wally> 0.10.7-1.mga6
+ Revision: 879302
- new version 0.10.7
- drop escaped URI patch (fixed in upstream)

* Tue Aug 25 2015 wally <wally> 0.10.6-2.mga6
+ Revision: 869348
- add patch from upstream bugzilla to fix exo-open failure with url encoded file paths (xfce#12017, rhbz#1246383)

* Sat Jun 20 2015 wally <wally> 0.10.6-1.mga6
+ Revision: 836266
- new version 0.10.6

* Tue Mar 03 2015 wally <wally> 0.10.3-1.mga5
+ Revision: 817393
- new version 0.10.3
- drop patches from upstream
- quote firefox-beta helper parameter

* Thu Feb 05 2015 wally <wally> 0.10.2-12.mga5
+ Revision: 813570
- add patch from upstream bugzilla to update mimeapps.list location for glib >= 2.41 (xfce#11504)

* Mon Jan 26 2015 wally <wally> 0.10.2-11.mga5
+ Revision: 812368
- remove openURL() call from firefox-beta helper

* Sat Jan 03 2015 wally <wally> 0.10.2-10.mga5
+ Revision: 808271
- add patch to add firefox-beta entry to exo-preferred-applications

* Fri Oct 17 2014 luigiwalser <luigiwalser> 0.10.2-9.mga5
+ Revision: 769645
- add missing BR perl-URI
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.2-7.mga5
+ Revision: 679063
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 wally <wally> 0.10.2-6.mga5
+ Revision: 581607
- add patch to fix chromium icon in exo-preferred applications (mga#12575)

* Sat Oct 19 2013 umeabot <umeabot> 0.10.2-5.mga4
+ Revision: 523609
- Mageia 4 Mass Rebuild

* Thu May 23 2013 wally <wally> 0.10.2-4.mga4
+ Revision: 425176
- add patch from upstream git to fix URI handling (xfce#10098)

* Fri Jan 11 2013 umeabot <umeabot> 0.10.2-3.mga3
+ Revision: 349868
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 0.10.2-2.mga3
+ Revision: 338288
- fix file list after %%_libexecdir change
- own some unowned dirs

* Thu Dec 27 2012 wally <wally> 0.10.2-1.mga3
+ Revision: 335697
- new version 0.10.2

* Sun Dec 09 2012 wally <wally> 0.10.1-1.mga3
+ Revision: 329088
- new version 0.10.1

* Mon Dec 03 2012 wally <wally> 0.10.0-1.mga3
+ Revision: 325978
- new version 0.10.0

* Sat Nov 10 2012 wally <wally> 0.9.1-1.mga3
+ Revision: 316888
- new version 0.9.1
- drop patches from upstream

* Sat Nov 10 2012 wally <wally> 0.9.0-2.mga3
+ Revision: 316842
- add patches from upstream
  * protect against null value (xfce#9418)
  * two build fixes with newer glib
- clean .spec a bit

* Sun Oct 14 2012 wally <wally> 0.9.0-1.mga3
+ Revision: 305443
- new version 0.9.0

* Mon May 28 2012 wally <wally> 0.8.0-1.mga3
+ Revision: 248460
- new version 0.8.0
- clean .spec

* Mon Feb 13 2012 wally <wally> 0.7.1-1.mga2
+ Revision: 208452
- remove unregistered value from .desktop files
- new version 0.7.1

* Tue Jan 03 2012 wally <wally> 0.7.0-1.mga2
+ Revision: 190010
- new version 0.7.0
- drop unused patches
- fix lib pkg name
- drop python subpkg
- clean BRs
- move docs to devel pkg and don't regenerate them on build time
- clean .spec a bit

* Tue Jun 21 2011 ahmad <ahmad> 0.6.2-1.mga2
+ Revision: 111222
- Update to 0.6.2
- Drop BR hal-devel, not used any more AFAICS
- Update the file list

* Thu Jan 27 2011 ahmad <ahmad> 0.6.0-2.mga1
+ Revision: 41628
- drop old unneeded scriptlets
- don't ship .a
- replace %%py_requires -d with python-devel
- imported package exo

